# Pekka Helenius <fincer89@hotmail.com>, Fjordtek 2020

spring.profiles.active     = dev

# Default HTTP TCP port number for this server application
# Do not set this value below 1024 as these TCP/UDP ports are privileged, requiring root permissions
server.port                = 8080

server.use-forward-headers = true

# Native REST API URI
spring.data.rest.base-path = /api










# Ref: https://docs.spring.io/spring-boot/docs/1.2.0.M2/reference/html/common-application-properties.html

# # EMBEDDED SERVER CONFIGURATION (ServerProperties)
# server.port=8080
# server.address= # bind to a specific NIC
# server.session-timeout= # session timeout in seconds
# server.context-path= # the context path, defaults to '/'
# server.servlet-path= # the servlet path, defaults to '/'
# server.ssl.client-auth= # want or need
# server.ssl.key-alias=
# server.ssl.key-password=
# server.ssl.key-store=
# server.ssl.key-store-password=
# server.ssl.key-store-provider=
# server.ssl.key-store-type=
# server.ssl.protocol=TLS
# server.ssl.trust-store=
# server.ssl.trust-store-password=
# server.ssl.trust-store-provider=
# server.ssl.trust-store-type=
# server.tomcat.access-log-pattern= # log pattern of the access log
# server.tomcat.access-log-enabled=false # is access logging enabled
# server.tomcat.internal-proxies=10\.\d{1,3}\.\d{1,3}\.\d{1,3}|\
#         192\.168\.\d{1,3}\.\d{1,3}|\
#         169\.254\.\d{1,3}\.\d{1,3}|\
#         127\.\d{1,3}\.\d{1,3}\.\d{1,3} # regular expression matching trusted IP addresses
# server.tomcat.protocol-header=x-forwarded-proto # front end proxy forward header
# server.tomcat.port-header= # front end proxy port header
# server.tomcat.remote-ip-header=x-forwarded-for
# server.tomcat.basedir=/tmp # base dir (usually not needed, defaults to tmp)
# server.tomcat.background-processor-delay=30; # in seconds
# server.tomcat.max-threads = 0 # number of threads in protocol handler
# server.tomcat.uri-encoding = UTF-8 # character encoding to use for URL decoding